Retrieve a card transaction by its ID.
Use in conjunction with the card transaction state change webhook for versions V2.1.0 and later.
Only transactions created in the past 90 days can be accessed. A 422 error code will be returned otherwise.
When a refund happens, a separate transaction will be added with a REFUND transaction type.
Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.
- Production Environmenthttps://api.wise.com/v4/spend/profiles/{profileId}/cards/transactions/{transactionId}
- Sandbox Environmenthttps://api.wise-sandbox.com/v4/spend/profiles/{profileId}/cards/transactions/{transactionId}
curl -i -X GET \
https://api.wise.com/v4/spend/profiles/123456/cards/transactions/342671 \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479'Card transaction retrieved successfully.
Echoed back when X-External-Correlation-Id was included in the request. Learn more.
Type of the transaction. One of:
ACCOUNT_CREDITACCOUNT_FUNDINGCASH_ADVANCECASH_WITHDRAWALCHARGEBACKCREDIT_TRANSACTIONECOM_PURCHASEPOS_PURCHASEREFUND
The current state of the transaction. One of:
IN_PROGRESSCOMPLETEDDECLINEDCANCELLEDUNKNOWN
When the transaction was last updated
Time at which reserved funds will be released after the authorisation hold expires
Transaction amount, including any embedded fees such as ATM fees that are not applied by Wise
Also called authorization code. This can be used to prove ownership of a customer's card/account to a merchant
PIN validation result. One of:
ONLINE_PIN_VALIDATEDONLINE_PIN_INVALIDOFFLINE_PIN_VALIDATEDOFFLINE_PIN_INVALIDNOT_RECEIVED
Balance channel reference ID associated with the card transaction
Array of debits. Only present when retrieving a single transaction by ID.
The debits list is a non-aggregated list of debit movements, meaning that the balanceId is not unique in the list. For example, a cancelled transaction may have a list of 2 debits where the absolute values of debitedAmount.amount, forAmount.amount and fee.amount are the same, but one is the negation of the other due to a reservation (first debit) which was then released (second debit with negated amounts). You can choose to perform the aggregation in your system or display the full list of debits to the end customer.
{ "id": 342671, "cardToken": "59123122-223d-45f9-b840-0ad4a4f80937", "type": "ECOM_PURCHASE", "state": "IN_PROGRESS", "declineReason": null, "detailedDeclineReason": null, "creationTime": "2022-11-28T08:17:54.241Z", "modificationTime": "2022-11-28T08:17:54.241Z", "purgeTime": "2022-11-28T08:17:54.241Z", "transactionAmount": { "amount": 1.4, "currency": "SGD" }, "fees": [ { "amount": 0.1, "currency": "SGD", "fee_type": "ATM_ACQUIRER" } ], "transactionAmountWithFees": { "amount": 1.5, "currency": "SGD" }, "merchant": { "name": "Test Payment", "location": { "country": "France", "city": "Rouen", "zipCode": "00000", "region": null, "state": null }, "category": { "name": "MISCELLANEOUS_FOOD_STORES_CONVEN", "code": "5999", "description": "5999 R Miscellaneous and Special" } }, "authorisationMethod": "MANUAL_ENTRY", "approvalCode": "913647", "billingAmount": { "amount": 1.1, "currency": "EUR" }, "arn": "04300014127798385983852", "pinValidationResult": "ONLINE_PIN_VALIDATED", "balanceChannelReferenceId": "6e71018d-2f4d-4fc3-6711-f517f4664712", "debits": [ { "balanceId": 52832, "debitedAmount": { … }, "forAmount": { … }, "rate": 1.36363636364, "fee": { … }, "creationTime": "2022-11-28T08:17:54.241Z" } ], "credits": [ { "balanceId": 52832, "creditedAmount": { … }, "creationTime": "2022-11-28T08:17:54.241Z" } ], "relayAuthorisationData": { "responseCode": "APPROVED", "fallback": true } }